Package io.flutter.embedding.engine.systemchannels

# Class PlatformViewsChannel2.PlatformViewCreationRequest

java.lang.Object
io.flutter.embedding.engine.systemchannels.PlatformViewsChannel2.PlatformViewCreationRequest

Enclosing class:
  PlatformViewsChannel2

public static class PlatformViewsChannel2.PlatformViewCreationRequest extends Object
Request sent from Flutter to create a new platform view.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `direction`
  The layout direction of the new platform view.
  `final double`
  `logicalHeight`
  `final double`
  `logicalWidth`
  `final ByteBuffer`
  `params`
  Custom parameters that are unique to the desired platform view.
  `final int`
  `viewId`
  The ID of the platform view as seen by the Flutter side.
  `final String`
  `viewType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlatformViewCreationRequest(int viewId, String viewType, double logicalWidth, double logicalHeight, int direction, ByteBuffer params)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### viewId

    public final int viewId
    The ID of the platform view as seen by the Flutter side.

  - ### viewType

    @NonNull public final String viewType

  - ### logicalWidth

    public final double logicalWidth

  - ### logicalHeight

    public final double logicalHeight

  - ### direction

    public final int direction
    The layout direction of the new platform view.

    See `View.LAYOUT_DIRECTION_LTR` and `View.LAYOUT_DIRECTION_RTL`

  - ### params

    @Nullable public final ByteBuffer params
    Custom parameters that are unique to the desired platform view.

- ## Constructor Details

  - ### PlatformViewCreationRequest

    public PlatformViewCreationRequest(int viewId, @NonNull String viewType, double logicalWidth, double logicalHeight, int direction, @Nullable ByteBuffer params)